Skip to main content
Resource Center/Hardware/Host Operations/USB Pass-through Operations
PUTUSB Pass-through OperationsSince 2.2SynchronousAuth Required

UpdateUsbDevice

UpdateUsbDevice

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

This API requires no request parameters.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryUsbDeviceInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • hostUuidStringRequired

      The host UUID.

    • vmInstanceUuidStringRequired

      The VM instance UUID.

    • busNumStringRequired

      The bus No.

    • devNumStringRequired

      The device No.

    • idVendorStringRequired

      The vendor ID.

    • idProductStringRequired

      The device ID.

    • iManufacturerStringRequired

      The manufacturer.

    • iProductStringRequired

      The device type.

    • iSerialStringRequired

      The serial No.

    • usbVersionStringRequired

      The USB version.

    • attachTypeStringRequired

      The attach type.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • stateUsbDeviceStateRequired

      See state.

      • nameStringRequired

        The resource name.

      • ordinalintRequired

        No description provided.

Endpoint

PUT/zstack/v1/usb-device/usb-devices/{uuid}/actions

/zstack/v1/usb-device/usb-devices/{uuid}/actions

Operation ID

UpdateUsbDevice

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/usb-device/usb-devices/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventory": { "uuid": "2695f7ce0bda4587bbabbbfaad080554", "description": "test usb", "hostUuid": "4261ceb358ce473fa62c137c1ba8d3ef", "vmInstanceUuid": "4c059c5e0a834d86984d3141d8ec42cb", "state": "Disabled", "idVendor": "10de", "idProduct": "0e0f", "iManufacturer": "SanDisk", "iProduct": "USB Storage", "iSerial": "000000000001", "usbVersion": "3.0", "attachType": "PassThrough" } }

Change History

This API has no change history records yet.

View all change history